%global srcname txWS
%global pkgname txws

Summary:          Twisted WebSockets wrapper
Name:             python-%{pkgname}
Version:          0.9.1
Release:          3%{?dist}
License:          MIT
URL:              https://github.com/MostAwesomeDude/txWS
Source0:          %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz

# https://github.com/MostAwesomeDude/txWS/pull/34
Patch0001:        python-txws-python39.patch
Patch3000:        0001-Drop-vcversioner.patch

BuildArch:        noarch

%description
txWS (pronounced "Twisted WebSockets") is a small, short, simple library
for adding WebSockets server support to your favorite Twisted applications.

%package -n python3-%{pkgname}
Summary:          Twisted WebSockets wrapper
BuildRequires:    python3-devel python3dist(setuptools) python3dist(twisted) python3dist(six)

%description -n python3-%{pkgname}
txWS (pronounced "Twisted WebSockets") is a small, short, simple library
for adding WebSockets server support to your favorite Twisted applications.

%prep
%autosetup -p1 -n %{srcname}-%{version}
rm -rf %{srcname}.egg-info

%build
%py3_build

%install
%py3_install

%check
PYTHONPATH=$(pwd) trial-3 tests

%files -n python3-%{pkgname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pkgname}.py
%{python3_sitelib}/__pycache__/%{pkgname}.cpython-%{python3_version_nodots}*.py*
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.1-3
- Rebuilt for OpenCloudOS Stream 23.09

* Mon May 08 2023 Miaojun Dong <zoedong@tencent.com> - 0.9.1-2
- remove .gitignore

* Fri May 05 2023 Miaojun Dong <zoedong@tencent.com> - 0.9.1-1
- initial build
